> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gp.scale.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fixed Server interface for Model execution by named alias



## OpenAPI

````yaml https://app.stainlessapi.com/api/spec/documented/sgp/openapi.yml post /v4/serving/a/{alias}/execute
openapi: 3.1.0
info:
  title: EGP API V4
  description: >-
    This is the parent API for all EGP APIs. If you are looking for the EGP API,
    please go to https://api.egp.scale.com/docs.
  contact:
    name: Scale Generative AI Platform
    url: https://scale.com/genai-platform
  version: 0.1.0
servers:
  - url: https://api.egp.scale.com
security: []
tags:
  - name: Models
    description: Model API.
paths:
  /v4/serving/a/{alias}/execute:
    post:
      tags:
        - Model server
      summary: Fixed Server interface for Model execution by named alias
      operationId: POST-V4-/v4/serving/a/{alias}/execute
      parameters:
        - name: alias
          in: path
          required: true
          schema:
            title: Alias
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GenericModelRequest'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GenericModelResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      x-codeSamples:
        - lang: Python
          source: |-
            import os
            from scale_gp import SGPClient

            client = SGPClient(
                api_key=os.environ.get("SGP_API_KEY"),  # This is the default and can be omitted
            )
            generic_model_response = client.alias.execute(
                alias="alias",
            )
            print(generic_model_response.error_message)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/stainless-sdks/sgp-go\"\n\t\"github.com/stainless-sdks/sgp-go/option\"\n)\n\nfunc main() {\n\tclient := sgp.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tgenericModelResponse, err := client.Alias.Execute(\n\t\tcontext.TODO(),\n\t\t\"alias\",\n\t\tsgp.AliasExecuteParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", genericModelResponse.ErrorMessage)\n}\n"
components:
  schemas:
    GenericModelRequest:
      properties:
        stream:
          title: Stream
          description: Flag indicating whether to stream the completion response
          default: false
          type: boolean
      additionalProperties: true
      type: object
      title: GenericModelRequest
    GenericModelResponse:
      properties:
        status:
          type: string
          title: Status
        status_code:
          title: Status Code
          type: integer
        error_message:
          title: Error Message
          type: string
      additionalProperties: true
      type: object
      title: GenericModelResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
          additionalProperties: true
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````